Skip to main content
GET
Get One Session Attendance

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

session_attendance_id
integer
required

integer - required - The ID of the session attendance record you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,session_id,registrant_id,waiting_room_date,check_in_date,check_out_date,duration,on_demand_date,physical_arrived_at,virtual_arrived_at,virtual_departed_at,virtual_duration,has_physical_checkin,has_virtual_checkin"

expand
string

string - optional - Comma separated list of related objects to include. Supported values: registrant, session

Example:

"registrant,session"

Response

Get Session Attendance

id
integer
Example:

1

session_id
integer

The ID of the session (mapped from object_id internally)

Example:

1

registrant_id
integer
Example:

1

waiting_room_date
string | null
Example:

"2024-06-01 09:45:00"

check_in_date
string | null
Example:

"2024-06-01 10:00:00"

check_out_date
string | null
Example:

"2024-06-01 11:00:00"

duration
integer | null

Attendance duration in seconds

Example:

3600

on_demand_date
string | null
Example:

null

physical_arrived_at
string | null
Example:

null

virtual_arrived_at
string | null
Example:

"2024-06-01 10:00:00"

virtual_departed_at
string | null
Example:

"2024-06-01 11:00:00"

virtual_duration
integer | null

Virtual attendance duration in seconds

Example:

3600

has_physical_checkin
boolean
Example:

false

has_virtual_checkin
boolean
Example:

true